Bug 874779 - shutdown and update fails 'splash->plugin_interface_interface->system_update != (void*) 0) failed
shutdown and update fails 'splash->plugin_interface_interface->system_update ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
F18Beta-accepted
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-11-08 15:18 EST by satellitgo
Modified: 2012-11-14 06:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 06:30:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description satellitgo 2012-11-08 15:18:18 EST
Description of problem:
gnome3 menu item "update and restart" causes unrecoverable restart. No progress shown on update hangs system. ctr alt del after 20 minutes of hang causes kernel panic, loss of install

Version-Release number of selected component (if applicable):
gnome3 3.6.1 

How reproducible:


Steps to Reproduce:
1.gnome3 menu item update and restart causes unrecoverable restart
2.
3.
  
Actual results:
shutdown and update fails 'splash->plugin_interface_interface->system_update != (void*) 0) failed

Expected results:
updated system

Additional info:
Comment 1 satellitgo 2012-11-08 15:29:09 EST
(In reply to comment #0)
> Description of problem:
> gnome3 menu item "update and restart" causes unrecoverable restart. No
> progress shown on update hangs system. ctr alt del after 20 minutes of hang
> causes kernel panic, loss of install
> 
> Version-Release number of selected component (if applicable):
> gnome3 3.6.1 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.gnome3 menu item update and restart causes unrecoverable restart
> 2.
> 3.
>   
> Actual results:
> shutdown and update fails 'splash->plugin_interface_interface->system_update
> != (void*) 0) failed
> 
> Expected results:
> updated system
> 
> Additional info:
smoke16 DVD HD install from 8GB dd USB
Comment 2 Fedora Update System 2012-11-08 15:49:25 EST
plymouth-0.8.8-3.fc18, gdm-3.6.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/plymouth-0.8.8-3.fc18,gdm-3.6.1-4.fc18
Comment 3 satellitgo 2012-11-08 17:52:15 EST
retesting on reinstall with #yum update (4+337) 62M after delta
Comment 4 Fedora Update System 2012-11-08 22:18:26 EST
Package plymouth-0.8.8-3.fc18, gdm-3.6.1-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plymouth-0.8.8-3.fc18 gdm-3.6.1-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17794/plymouth-0.8.8-3.fc18,gdm-3.6.1-4.fc18
then log in and leave karma (feedback).
Comment 5 Ray Strode [halfline] 2012-11-09 14:28:44 EST
if the kernel didn't also get updated in that transaction, then you may need to rebuild your initrd for the changes to take effect.

you can do that with "dracut -f"
Comment 6 Kamil Páral 2012-11-14 06:30:48 EST
The update is now stable. I have tested it and it displays update progress now. Closing.

Note You need to log in before you can comment on or make changes to this bug.